[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TCustomSQLStatement.Destroy

Destroy a TCustomSQLStatement instance.

## Declaration

Source position: sqldb.pp line 271

`public destructor TCustomSQLStatement.Destroy; override;`

## Description

Destroy disconnects the TCustomSQLStatement instance from the transaction and database, and then frees the memory taken by the instance and its properties.

## See also

TSQLStatement.Database |  | Database instance to execute statement on.
TSQLStatement.Transaction |  | The transaction in which the SQL statement should be executed.

Documentation generated on: Feb 26 2014